Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class MailManager

All Known Implementing Classes:
  CoreMailManager, MailManagerImpl

    public interface class MailManager

A facade interface for getting e-mail addresses.

(Unpublished)

Method Summary
`java.lang.String[]` | `getGroupManagersEmail(long id)` Gets addresses of the managers of the given group.
`java.lang.String[]` | `getGroupMembersEmail(long id)` Gets addresses of the members of the given group.
`java.lang.String[]` | `getSecurityMembersEmail(long id)` Gets addresses of the users who have at least discover access to the given item.
`java.lang.String[]` | `getUsersWithRoleEmail(long id)` Gets addresses of all users in the domain who currently have the given role.

Method Detail

### getSecurityMembersEmail

    java.lang.String[] getSecurityMembersEmail(long id)
                                               throws FdkException

  Description copied from interface: `MailManager`
  Gets addresses of the users who have at least discover access to the given item.

  Parameters:
    `id` - The ID of the item.
  Returns:
    A list of addresses.
  Throws:
    `FdkException` - if the operation fails.

### getGroupMembersEmail

    java.lang.String[] getGroupMembersEmail(long id)
                                            throws FdkException

  Description copied from interface: `MailManager`
  Gets addresses of the members of the given group.

  Parameters:
    `id` - The ID of the group.
  Returns:
    A list of addresses.
  Throws:
    `FdkException` - if the operation fails.

### getGroupManagersEmail

    java.lang.String[] getGroupManagersEmail(long id)
                                             throws FdkException

  Description copied from interface: `MailManager`
  Gets addresses of the managers of the given group.

  Parameters:
    `id` - The ID of the group.
  Returns:
    A list of addresses.
  Throws:
    `FdkException` - if the operation fails.

### getUsersWithRoleEmail

    java.lang.String[] getUsersWithRoleEmail(long id)
                                             throws FdkException

  Description copied from interface: `MailManager`
  Gets addresses of all users in the domain who currently have the given role.

  Parameters:
    `id` - the role whose users should be mailed.
  Returns:
    A list of addresses.
  Throws:
    `FdkException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD